package com.ksyun.constant;

import com.google.common.collect.ImmutableMap;
import com.ksyun.util.UtilAll;

import java.util.Arrays;
import java.util.List;
import java.util.Map;

public class Consts {

    private Consts() {

    }

    public static final String KSMS_HOST = "https://ksms.ksyun.com";

    public static final String KSMC_SERVICE = "ksms";

    public static final String SMS_HOST = "https://sms.api.ksyun.com";

    public static final String SMC_SERVICE = "sms";

    public static final String Version = "2019-05-01";

    public static final String region = "cn-beijing-6";

    public static final String DatePattern = "yyyy-MM-dd";

    public static final String DateTimePattern = "yyyy-MM-dd HH:mm:ss";

    /**
     * 1.发送单条短信
     */
    public static final String Action_SendSms = "SendSms";

    /**
     * 2.批量发送短信
     */
    public static final String Action_BatchSendSms = "BatchSendSms";

    /**
     * 3.批量发送不同短信
     */
    public static final String Action_SendDiffSms = "SendDiffSms";

    /**
     * 手机归属地查询
     */
    public static final String Action_MobileLocation = "MobileLocation";

    /**
     * 拉取状态报告
     */
    public static final String Action_PullSmsReport = "PullSmsReport";

    /**
     * 拉取上行短信
     */
    public static final String Action_PullSmsUp = "PullSmsUp";

    /**
     * 查询短信记录
     */
    public static final String Action_QuerySmsDetail = "QuerySmsDetail";

    /**
     * 标记短信到达
     */
    public static final String Action_DeliveredSms = "DeliveredSms";

    /**
     * 获取模板列表
     */
    public static final String Action_ListTemplates = "ListTemplates";


    /**
     * 获取模板详情
     */
    public static final String Action_GetTemplateById = "GetTemplateById";

    /**
     * 创建模板
     */
    public static final String Action_CreateTemplate = "CreateTemplate";

    /**
     * 定时发送短信
     */
    public static final String Action_SendTimingSms = "SendTimingSms";


    /**
     *添加签名
     */
    public static final String Action_AddSmsSign="AddSmsSign";

    /**
     *修改签名
     */
    public static final String Action_ModifySmsSign="ModifySmsSign";

    /**
     * 查询签名
     */
    public static final String Action_QuerySmsSign="QuerySmsSign";

    /**
     * 删除签名
     */
    public static final String Action_DeleteSmsSign="DeleteSmsSign";





    public static final List<String> smsServiceAction = Arrays.asList(
            Action_ListTemplates, Action_GetTemplateById, Action_CreateTemplate,Action_SendTimingSms,
            Action_AddSmsSign,Action_QuerySmsSign,Action_ModifySmsSign,Action_DeleteSmsSign);
}
